import 'package:flutter_inappwebview/flutter_inappwebview.dart';

class MyInAppBrowser extends InAppBrowser {
  @override
  Future onBrowserCreated() async {
    print("Browser Created!");
  }

  @override
  Future onLoadStart(url) async {
    print("Started $url");
     await webViewController?.evaluateJavascript(source: """
      window.PayDalaChannel = new BroadcastChannel('PayDala');
      window.PayDalaChannel.onmessage = function(event) {
        // Handle messages from 'PayDala' channel here
        console.log('Received message from PayDala:', event.data);
        // You can send this message to Flutter side using evaluateJavascript or other methods
      };
    """);
  }

  @override
  Future onLoadStop(url) async {
    print("Stopped $url");
  }

  @override
  void onReceivedError(WebResourceRequest request, WebResourceError error) {
    print("Can't load ${request.url}.. Error: ${error.description}");
  }

  @override
  void onProgressChanged(progress) {
    print("Progress: $progress");
  }

  @override
  void onExit() {
    print("Browser closed!");
  }

  @override
  Future<GeolocationPermissionShowPromptResponse> onGeolocationPermissionsShowPrompt(String origin) async {
    // Here you can handle the geolocation permission request and return a GeolocationPermissionShowPromptResponse
    return GeolocationPermissionShowPromptResponse(origin: origin, allow: true, retain: false);
  }
}